#include <bits/stdc++.h>

using namespace std;

int main()
{
    vector <pair <double,int>> V;
    int n;
    cin >> n;
    double A[n];
    double P[n];
    for(int i=0; i<n; i++)
    {
        cin >> A[i] >> P[i];
    }
    for (int j=0; j<n; j++)
    {
        V.push_back(make_pair(P[j],A[j]));
    }
    sort(V.begin(), V.end());
    double S = V[n-1].first * V[n-1].second / 100;
    double e = V[n-1].second;
    int k=n-2;
    for(;k>=0;k--){
        if((V[k].first * V[k].second/100 + V[k].first*e/100)>S){
            S = double(V[k].first * V[k].second/100 + V[k].first*e/100);
        }
        e+=V[k].second;
    }

    cout << fixed << showpoint;
    cout << setprecision(3);
    cout << S << endl;
    return 0;
}